#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pnam	Gtk2-TrayIcon
Summary:	Gtk2::TrayIcon - Perl interface to the EggTrayIcon library
Summary(pl.UTF-8):	Gtk2::TrayIcon - interfejs perlowy do biblioteki EggTrayIcon
Name:		perl-Gtk2-TrayIcon
Version:	0.07
Release:	5
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	https://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	c3db5edd7c39ca52625d664b0fb988a5
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	perl-ExtUtils-Depends >= 0.1
BuildRequires:	perl-ExtUtils-PkgConfig >= 0.1
BuildRequires:	perl-Glib-devel >= 1.00
BuildRequires:	perl-Gtk2-devel >= 1.00
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gtk2::TrayIcon module allows a Perl developer to embed an arbitrary
widget in a System Tray like the GNOME notification area.

Note: this module is deprecated and no longer maintained.

%description -l pl.UTF-8
Moduł Gtk2::TrayIcon umożliwia programistom perlowym umieszczanie
dowolnych kontrolek w Zasobniku Systemowym (System Tray), takim jak w
obszarze powiadamiania GNOME.

Uwaga: ten moduł jest przestarzały i nie jest już utrzymywany.

%package devel
Summary:	Development files for Perl Gtk2-TrayIcon bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Gtk2-TrayIcon dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	perl-Cairo-devel
Requires:	perl-Glib-devel >= 1.00
Requires:	perl-Gtk2-devel >= 1.00

%description devel
Development files for Perl Gtk2-TrayIcon bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Gtk2-TrayIcon dla Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%{perl_vendorarch}/Gtk2/TrayIcon.pm
%dir %{perl_vendorarch}/Gtk2/TrayIcon
%dir %{perl_vendorarch}/auto/Gtk2/TrayIcon
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk2/TrayIcon/TrayIcon.so
%{_mandir}/man3/Gtk2::TrayIcon*.3pm*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Gtk2/TrayIcon/Install
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gtk2-TrayIcon.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> a0331e1
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 357ed5e
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 01a5281
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 1a68334
- rebuild with perl 5.34.0

* Sat Jun 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 6027e77
- updated to 0.07, deprecated now
- separated -devel package

* Sun May 09 2021 Jan Rękorajski <baggins@pld-linux.org> 674e293
- rebuild with perl 5.32

* Fri Apr 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 37fa52e
- updated macros

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> fa518cb
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 9ec7bc7
- rebuild with perl 5.30.0
- release 15 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 2935a57
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f31b0b6
- perl req/prov fix
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 00de876
- rebuild with perl 5.26
- release 12 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> aa584a0
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 34fb458
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> b0ea78b
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> d8cfda3
- x32 rebuild
- release 8 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> d4b1623
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c232515
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e2e7d3e
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e785f6e
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

